using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.Trains
{
    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class TrainRecordOptionDto:UpdateTrainRecordOptionDto
    {
        
    }

    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class AddTrainRecordOptionDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 试题选项Id
        /// </summary>
        [Description("试题选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }

    }

    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class UpdateTrainRecordOptionDto : AddTrainRecordOptionDto, IActionRequest
    {

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }

    public class AddTrainRecordAnswerDto : IAddRequest, IOperationStatus
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        [JsonIgnore]
        public string QuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string Answer { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    public class UpdateTrainRecordAnswerDto : AddTrainRecordAnswerDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
